<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/client/notifications/notificationruntimedata.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da2/notificationruntimedata_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">notificationruntimedata.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/da2/notificationruntimedata_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * NotificationRuntimeData.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">   13</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6">   15</a></span>    <a class="code hl_enumvalue" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6">TOAST</a> = 1,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536">   16</a></span>    <a class="code hl_enumvalue" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536">BAGUETTE</a> = 2,</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f">   17</a></span>    <a class="code hl_enumvalue" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f">ACTIVITY</a> = 4,</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28">   18</a></span>    <a class="code hl_enumvalue" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28">KILLFEED</a> = 8,</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <a class="code hl_enumvalue" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420">MARKET</a> = 16</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420">   20</a></span>}</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>modded <span class="keyword">class </span>NotificationRuntimeData</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>{</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a462f1b2b6a46de514f2ec378e5d2a1ff">   24</a></span>    <a class="code hl_enumeration" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#af0e67629f7f4029f4af933c8f5d466ab">m_Type</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">   25</a></span>    Object <a class="code hl_variable" href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">m_Object</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a58019ce4a31264c5ca54e96cedf518b6">   26</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/da2/notificationruntimedata_8c.html#a58019ce4a31264c5ca54e96cedf518b6">m_LeaveJoinNotif</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#aa52f1c04b89be3ac40919c7b296ef0c2">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/da2/notificationruntimedata_8c.html#aa52f1c04b89be3ac40919c7b296ef0c2">GetIcon</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (!m_StaticData.m_Icon.Contains(<span class="stringliteral">&quot;:&quot;</span>) &amp;&amp; !m_StaticData.m_Icon.Contains(<span class="stringliteral">&quot;\\&quot;</span>) &amp;&amp; !m_StaticData.m_Icon.Contains(<span class="stringliteral">&quot;/&quot;</span>))</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keyword">auto</span> icon = <a class="code hl_class" href="../../da/d36/class_expansion_icons.html">ExpansionIcons</a>.<a class="code hl_function" href="../../da/d36/class_expansion_icons.html#a204c3900732b8e4ce7f2c1ce70412c70">Get</a>(m_StaticData.m_Icon);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">if</span> (icon)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">return</span> icon.<a class="code hl_variable" href="../../db/dad/class_expansion_icon.html#a68c0630af7f532c75517bbbbef73d036">Path</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> m_StaticData.m_Icon;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a221704fcc463a5eeaeeee6f38302e71a">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da2/notificationruntimedata_8c.html#a221704fcc463a5eeaeeee6f38302e71a">SetType</a>(<a class="code hl_enumeration" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#af0e67629f7f4029f4af933c8f5d466ab">m_Type</a> = type;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#abf2f1d0d1afc0eaf2994523ab122712c">   45</a></span>    <a class="code hl_enumeration" href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>  <a class="code hl_function" href="../../d5/da2/notificationruntimedata_8c.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/dfc/expansionnotificationsystem_8c.html#af0e67629f7f4029f4af933c8f5d466ab">m_Type</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#a50d769a8c3c64df8eaafb29fd2aa7723">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/da2/notificationruntimedata_8c.html#a50d769a8c3c64df8eaafb29fd2aa7723">SetObject</a>(Object obj)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">m_Object</a> = obj;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d5/da2/notificationruntimedata_8c.html#aaa4160de65ac77debe2902527ebfc4f2">   55</a></span>    Object  <a class="code hl_function" href="../../d5/da2/notificationruntimedata_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">m_Object</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="ttc" id="aclass_expansion_icon_html_a68c0630af7f532c75517bbbbef73d036"><div class="ttname"><a href="../../db/dad/class_expansion_icon.html#a68c0630af7f532c75517bbbbef73d036">ExpansionIcon::Path</a></div><div class="ttdeci">string Path</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d68/expansionicon_8c_source.html#l00017">expansionicon.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_icons_html"><div class="ttname"><a href="../../da/d36/class_expansion_icons.html">ExpansionIcons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d14/expansionicons_8c_source.html#l00013">expansionicons.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_icons_html_a204c3900732b8e4ce7f2c1ce70412c70"><div class="ttname"><a href="../../da/d36/class_expansion_icons.html#a204c3900732b8e4ce7f2c1ce70412c70">ExpansionIcons::Get</a></div><div class="ttdeci">static ExpansionIcon Get(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d14/expansionicons_8c_source.html#l00273">expansionicons.c:273</a></div></div>
<div class="ttc" id="aexpansionnotificationsystem_8c_html_af0e67629f7f4029f4af933c8f5d466ab"><div class="ttname"><a href="../../de/dfc/expansionnotificationsystem_8c.html#af0e67629f7f4029f4af933c8f5d466ab">m_Type</a></div><div class="ttdeci">protected ExpansionNotificationType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dfc/expansionnotificationsystem_8c_source.html#l00138">expansionnotificationsystem.c:138</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a221704fcc463a5eeaeeee6f38302e71a"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a221704fcc463a5eeaeeee6f38302e71a">SetType</a></div><div class="ttdeci">void SetType(ExpansionNotificationType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00040">notificationruntimedata.c:40</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a3e8611572e6ae0823d4aeb0d0a2e0d69"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a3e8611572e6ae0823d4aeb0d0a2e0d69">m_Object</a></div><div class="ttdeci">Object m_Object</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00025">notificationruntimedata.c:25</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a50d769a8c3c64df8eaafb29fd2aa7723"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a50d769a8c3c64df8eaafb29fd2aa7723">SetObject</a></div><div class="ttdeci">void SetObject(Object obj)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00050">notificationruntimedata.c:50</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a58019ce4a31264c5ca54e96cedf518b6"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a58019ce4a31264c5ca54e96cedf518b6">m_LeaveJoinNotif</a></div><div class="ttdeci">bool m_LeaveJoinNotif</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00026">notificationruntimedata.c:26</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a></div><div class="ttdeci">ExpansionNotificationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00013">notificationruntimedata.c:14</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a995d34bcabbc4f6dd5347f17464c4a2f">ACTIVITY</a></div><div class="ttdeci">@ ACTIVITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00017">notificationruntimedata.c:17</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9aee4467f46d6f57db879225e4672536">BAGUETTE</a></div><div class="ttdeci">@ BAGUETTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00016">notificationruntimedata.c:16</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02a9e0221c89ef1ee595163e8cb2f316420">MARKET</a></div><div class="ttdeci">@ MARKET</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00020">notificationruntimedata.c:19</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02addf118ed7fbb19b9aaa6e3189e16cf28">KILLFEED</a></div><div class="ttdeci">@ KILLFEED</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00018">notificationruntimedata.c:18</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#a87895fe18688d17fbc88515ccb6f6c02af85b8f3416b2236ea00dcb7c2c1f5df6">TOAST</a></div><div class="ttdeci">@ TOAST</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00015">notificationruntimedata.c:15</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_aa52f1c04b89be3ac40919c7b296ef0c2"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#aa52f1c04b89be3ac40919c7b296ef0c2">GetIcon</a></div><div class="ttdeci">override string GetIcon()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00028">notificationruntimedata.c:28</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_aaa4160de65ac77debe2902527ebfc4f2"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a></div><div class="ttdeci">Object GetObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00055">notificationruntimedata.c:55</a></div></div>
<div class="ttc" id="anotificationruntimedata_8c_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../d5/da2/notificationruntimedata_8c.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da2/notificationruntimedata_8c_source.html#l00045">notificationruntimedata.c:45</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_892fe0fdb9e2892c5c2944a2fe22e5a6.html">client</a></li><li class="navelem"><a class="el" href="../../dir_c324ff7cd3c658602acbf17b9471d219.html">notifications</a></li><li class="navelem"><a class="el" href="../../d5/da2/notificationruntimedata_8c.html">notificationruntimedata.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
